// 最新的一个请求
let cancel = null

// 所有请求
let cancelTokenList = []

function setToken(cancelToken) {
  cancel = cancelToken
  cancelTokenList.push(cancelToken)
}

function cancelToken() {
  cancel && cancel()
  cancelTokenList.pop()
}

function clearAllToken() {
  while (cancelTokenList.length > 0) {
    let cancel = cancelTokenList.pop()
    console.log(cancel, 'cancel')
    cancel && cancel()
  }
}

export {
  setToken,
  cancelToken,
  clearAllToken,
}
